Page MenuHomePhabricator

MW-1.28.0-wmf.20 deployment blockers
Closed, ResolvedPublic

Event Timeline

greg created this task.Sep 2 2016, 10:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 10:36 PM
greg updated the task description. (Show Details)

I just cut the 1.28.0-wmf.20 branch.

The tentative plan is simply to skip the roll out of 1.28.0-wmf.19 and sync wmf.20 to group0 wikis tomorrow and run some form (TBD) or shortened schedule, unless there are strong objections from the Performance-Team I know that @Gilles is looking into this regression (per T146099).

I know @aude mentioned wanting to do some branching for wikidata as well for wmf.20—please let me know if that's the case before 19:00 tomorrow.

Addshore added a subscriber: Addshore.EditedSep 22 2016, 10:11 AM

So what will be getting deployed today? (as https://wikitech.wikimedia.org/wiki/Deployments#Thursday.2C.C2.A0September.C2.A022 seems out of date)

Scrap that, I have just seen wikitech-l!

Group0 wikis (mediawikiwiki, test2wiki, testwiki, testwikidatawiki, and
zerowiki) are running version 1.28.0-wmf.20 of MediaWiki and extensions.
All other wikis are running 1.28.0-wmf.18.

Tomorrow there will be a shortened train schedule in the normal train
deployment window during which 1.28.0-wmf.20 will be pushed to all
wikis.

Tomorrow being today (Thursday)

hashar added a subscriber: hashar.

For the after effect, ORES jobs failed following deployment T146461

Which is entirely related to us having no monitoring/alarming about jobs, that is the same cause which last week prevented us from notifying that CentralAuth jobs have been failing for hours.

hashar closed this task as Resolved.Sep 25 2016, 6:44 AM